Package com.avaya.clientservices.contact

## Enum ContactError

- java.lang.Object
- - java.lang.Enum<ContactError>
  - - com.avaya.clientservices.contact.ContactError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ContactError>`

      public enum ContactError
      extends java.lang.Enum<ContactError>

  Error codes related to contact operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GROUP_ADD_CONTACTS_NOT_SUPPORTED` | Add contacts to a group isn't supported.
    `GROUP_ALREADY_EXISTS` | Group with specified name already exists.
    `GROUP_CONTACTS_LIMIT_EXCEEDED` | Group has maximum contacts.
    `GROUP_CREATE_NOT_SUPPORTED` | Provider does not support operation.
    `GROUP_DELETE_NOT_SUPPORTED` | Provider does not support operation.
    `GROUP_LIMIT_EXCEEDED` | Group count exceeded limit.
    `GROUP_NAME_EXCEEDS_MAX_LENGTH` | Contact group name is too long.
    `GROUP_NAME_INVALID` | Missing or Invalid Provider contact group name.
    `GROUP_NOT_FOUND` | Contact group not found
    `GROUP_REMOVE_CONTACTS_NOT_SUPPORTED` | Remove contacts from a group isn't supported.
    `GROUP_RENAME_NOT_SUPPORTED` | Provider does not support operation.
    `INVALID_CHARACTERS_IN_GROUP_NAME` | Contact group name contains invalid characters.
    `NOT_FOUND` | Contact not found.
    `OPERATION_INPROGRESS` | Contact operation such as Add, Delete, Update, or Retrieve picture is already in progress.
    `PROVIDER_ACCESS_DENIED` | Access to platform resource has been denied.
    `PROVIDER_ADD_CONTACT_NOT_SUPPORTED` | Provider does not support creation of new contacts operation.
    `PROVIDER_AUTHENTICATION_FAILED` | An invalid username or password was provided.
    `PROVIDER_BACKEND_SOURCE_NOT_CONNECTABLE` | The source of the contact data cannot be reached to perform the requested operation.
    `PROVIDER_CERTIFICATE_ERROR` | The request was rejected due to a certificate error.
    `PROVIDER_CONFIGURATION_ERROR` | Configuration error encountered (disabled, no server info configured, etc).
    `PROVIDER_CONFIGURATION_MISMATCH` | Value exceeded maximum of 70 data items.
    `PROVIDER_CONTACT_ADDRESS_NULL` | Address field is empty.
    `PROVIDER_CONTACT_DOES_NOT_EXIST` | Name field is empty or not present.
    `PROVIDER_CONTACT_ID_INVALID` | Missing or invalid provider contact ID.
    `PROVIDER_CONTACT_NOPROFILE` | An internal contact does not have a communication profile.
    `PROVIDER_CONTACT_NOT_IM_USER` | Requesting user does not exist in the Enterprise database.
    `PROVIDER_CREDENTIAL_PROVIDER_NOT_PROVIDED` | Credential provider is not available.
    `PROVIDER_DATABASE_ERROR` | Provider cannot access the database for reading or writing.
    `PROVIDER_DATABASE_NOT_ACCESSIBLE` | Problem with the database accessibility.
    `PROVIDER_DELETE_CONTACT_NOT_SUPPORTED` | Provider does not support deletion of contacts operation.
    `PROVIDER_DIGEST_MISMATCH` | Digest Authentication failed.
    `PROVIDER_DUPLICATE_CONTACT` | This error can occur when trying to add a new contact with the same email address or phone number as any of the existing contacts.
    `PROVIDER_FAIL_UNKNOWN_REASON` | Unexpected behavior.
    `PROVIDER_IDENTITY_BAD_CERTIFICATE` | Client certificate is corrupt or in other way invalid.
    `PROVIDER_IDENTITY_EXPIRED_CERTIFICATE` | Client certificate has expired.
    `PROVIDER_IDENTITY_NO_CERTIFICATE` | Client certificate is missing.
    `PROVIDER_IDENTITY_REVOKED_CERTIFICATE` | Client certificate was revoked by the issuing authority.
    `PROVIDER_IDENTITY_UNKNOWN_CA` | Client certificate has expired.
    `PROVIDER_IDENTITY_UNSUPPORTED_CERTIFICATE` | Client certificate type is not supported by the server.
    `PROVIDER_INTERNAL_ERROR` | Unexpected exception in processing the request.
    `PROVIDER_INVALID_CONTACT` | Provided data failed a validation step.
    `PROVIDER_INVALID_IDENTITY_CERTIFICATE` | Client identity certificate is rejected by the server.
    `PROVIDER_INVALID_VALUE` | Invalid contact field value.
    `PROVIDER_MULTIPLE_WORK_EMAIL_NOT_SUPPORTED` | The server rejected the request due to multiple work e-mails.
    `PROVIDER_NOT_MATCH` | No provider matches the contact source.
    `PROVIDER_PICTURE_NOT_AVAILABLE` | Contact doesn't have a picture or specific contact provider uses LDAP as a source for pictures and it is not configured / available at the time.
    `PROVIDER_PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROVIDER_PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `PROVIDER_REQUEST_CANCELLED` | The operation was cancelled.
    `PROVIDER_REQUEST_TIMEOUT` | The operation time limit was exceeded.
    `PROVIDER_REQUIRED_DATA_MISSING` | Required fields are missing.
    `PROVIDER_RETRIEVE_PICTURE_NOT_SUPPORTED` | Provider does not support retrieving contact picture operation.
    `PROVIDER_RETRY` | Server is busy.
    `PROVIDER_SECURE_CONNECTION_FAILED` | The request was rejected due to an SSL error.
    `PROVIDER_STARTUP_ABORTED` | Abort was requested while starting.
    `PROVIDER_UPDATE_CONTACT_NOT_SUPPORTED` | Provider does not support updating contacts operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContactError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ContactError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROVIDER_FAIL_UNKNOWN_REASON

          public static final ContactError PROVIDER_FAIL_UNKNOWN_REASON

      Unexpected behavior.

    - #### PROVIDER_BACKEND_SOURCE_NOT_CONNECTABLE

          public static final ContactError PROVIDER_BACKEND_SOURCE_NOT_CONNECTABLE

      The source of the contact data cannot be reached to perform the requested operation.

    - #### PROVIDER_AUTHENTICATION_FAILED

          public static final ContactError PROVIDER_AUTHENTICATION_FAILED

      An invalid username or password was provided.

    - #### PROVIDER_CERTIFICATE_ERROR

          public static final ContactError PROVIDER_CERTIFICATE_ERROR

      The request was rejected due to a certificate error.

    - #### PROVIDER_IDENTITY_NO_CERTIFICATE

          public static final ContactError PROVIDER_IDENTITY_NO_CERTIFICATE

      Client certificate is missing.

    - #### PROVIDER_IDENTITY_BAD_CERTIFICATE

          public static final ContactError PROVIDER_IDENTITY_BAD_CERTIFICATE

      Client certificate is corrupt or in other way invalid.

    - #### PROVIDER_IDENTITY_UNSUPPORTED_CERTIFICATE

          public static final ContactError PROVIDER_IDENTITY_UNSUPPORTED_CERTIFICATE

      Client certificate type is not supported by the server.

    - #### PROVIDER_IDENTITY_REVOKED_CERTIFICATE

          public static final ContactError PROVIDER_IDENTITY_REVOKED_CERTIFICATE

      Client certificate was revoked by the issuing authority.

    - #### PROVIDER_IDENTITY_EXPIRED_CERTIFICATE

          public static final ContactError PROVIDER_IDENTITY_EXPIRED_CERTIFICATE

      Client certificate has expired.

    - #### PROVIDER_IDENTITY_UNKNOWN_CA

          public static final ContactError PROVIDER_IDENTITY_UNKNOWN_CA

      Client certificate has expired.

    - #### PROVIDER_INVALID_IDENTITY_CERTIFICATE

          public static final ContactError PROVIDER_INVALID_IDENTITY_CERTIFICATE

      Client identity certificate is rejected by the server.

    - #### PROVIDER_SECURE_CONNECTION_FAILED

          public static final ContactError PROVIDER_SECURE_CONNECTION_FAILED

      The request was rejected due to an SSL error.

    - #### PROVIDER_REQUEST_TIMEOUT

          public static final ContactError PROVIDER_REQUEST_TIMEOUT

      The operation time limit was exceeded.

    - #### PROVIDER_PICTURE_NOT_AVAILABLE

          public static final ContactError PROVIDER_PICTURE_NOT_AVAILABLE

      Contact doesn't have a picture or specific contact provider uses LDAP as a source for pictures and it is not configured / available at the time.

    - #### PROVIDER_CONTACT_ID_INVALID

          public static final ContactError PROVIDER_CONTACT_ID_INVALID

      Missing or invalid provider contact ID. Methods that can return this error are `ContactService.updateContact(EditableContact, UpdateContactCompletionHandler)`, `ContactService.deleteContact(Contact, ContactCompletionHandler)` and `Contact.retrievePicture(ContactCompletionHandler)`.

    - #### PROVIDER_DATABASE_ERROR

          public static final ContactError PROVIDER_DATABASE_ERROR

      Provider cannot access the database for reading or writing.

    - #### PROVIDER_DUPLICATE_CONTACT

          public static final ContactError PROVIDER_DUPLICATE_CONTACT

      This error can occur when trying to add a new contact with the same email address or phone number as any of the existing contacts.

    - #### PROVIDER_CONTACT_NOT_IM_USER

          public static final ContactError PROVIDER_CONTACT_NOT_IM_USER

      Requesting user does not exist in the Enterprise database.

    - #### PROVIDER_CONTACT_ADDRESS_NULL

          public static final ContactError PROVIDER_CONTACT_ADDRESS_NULL

      Address field is empty.

    - #### PROVIDER_INVALID_CONTACT

          public static final ContactError PROVIDER_INVALID_CONTACT

      Provided data failed a validation step.

    - #### PROVIDER_REQUIRED_DATA_MISSING

          public static final ContactError PROVIDER_REQUIRED_DATA_MISSING

      Required fields are missing.

    - #### PROVIDER_INVALID_VALUE

          public static final ContactError PROVIDER_INVALID_VALUE

      Invalid contact field value.

    - #### PROVIDER_DATABASE_NOT_ACCESSIBLE

          public static final ContactError PROVIDER_DATABASE_NOT_ACCESSIBLE

      Problem with the database accessibility.

    - #### PROVIDER_INTERNAL_ERROR

          public static final ContactError PROVIDER_INTERNAL_ERROR

      Unexpected exception in processing the request.

    - #### PROVIDER_CONTACT_DOES_NOT_EXIST

          public static final ContactError PROVIDER_CONTACT_DOES_NOT_EXIST

      Name field is empty or not present.

    - #### PROVIDER_CONTACT_NOPROFILE

          public static final ContactError PROVIDER_CONTACT_NOPROFILE

      An internal contact does not have a communication profile.

    - #### PROVIDER_CONFIGURATION_MISMATCH

          public static final ContactError PROVIDER_CONFIGURATION_MISMATCH

      Value exceeded maximum of 70 data items. As of SM 6.2 Feature Pack 1 this limit is increased to 100 data items.

    - #### PROVIDER_RETRY

          public static final ContactError PROVIDER_RETRY

      Server is busy. Provider is retrying the operation.

    - #### PROVIDER_DELETE_CONTACT_NOT_SUPPORTED

          public static final ContactError PROVIDER_DELETE_CONTACT_NOT_SUPPORTED

      Provider does not support deletion of contacts operation.

    - #### PROVIDER_ADD_CONTACT_NOT_SUPPORTED

          public static final ContactError PROVIDER_ADD_CONTACT_NOT_SUPPORTED

      Provider does not support creation of new contacts operation.

    - #### PROVIDER_UPDATE_CONTACT_NOT_SUPPORTED

          public static final ContactError PROVIDER_UPDATE_CONTACT_NOT_SUPPORTED

      Provider does not support updating contacts operation.

    - #### PROVIDER_RETRIEVE_PICTURE_NOT_SUPPORTED

          public static final ContactError PROVIDER_RETRIEVE_PICTURE_NOT_SUPPORTED

      Provider does not support retrieving contact picture operation.

    - #### PROVIDER_NOT_MATCH

          public static final ContactError PROVIDER_NOT_MATCH

      No provider matches the contact source.

    - #### NOT_FOUND

          public static final ContactError NOT_FOUND

      Contact not found.

    - #### PROVIDER_DIGEST_MISMATCH

          public static final ContactError PROVIDER_DIGEST_MISMATCH

      Digest Authentication failed.

    - #### OPERATION_INPROGRESS

          public static final ContactError OPERATION_INPROGRESS

      Contact operation such as Add, Delete, Update, or Retrieve picture is already in progress.

    - #### PROVIDER_REQUEST_CANCELLED

          public static final ContactError PROVIDER_REQUEST_CANCELLED

      The operation was cancelled.

    - #### PROVIDER_CONFIGURATION_ERROR

          public static final ContactError PROVIDER_CONFIGURATION_ERROR

      Configuration error encountered (disabled, no server info configured, etc).

    - #### PROVIDER_CREDENTIAL_PROVIDER_NOT_PROVIDED

          public static final ContactError PROVIDER_CREDENTIAL_PROVIDER_NOT_PROVIDED

      Credential provider is not available.

    - #### PROVIDER_STARTUP_ABORTED

          public static final ContactError PROVIDER_STARTUP_ABORTED

      Abort was requested while starting.

    - #### PROVIDER_ACCESS_DENIED

          public static final ContactError PROVIDER_ACCESS_DENIED

      Access to platform resource has been denied.

    - #### PROVIDER_PROXY_CONNECTION_ERROR

          public static final ContactError PROVIDER_PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROVIDER_PROXY_AUTHENTICATION_ERROR

          public static final ContactError PROVIDER_PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### GROUP_LIMIT_EXCEEDED

          public static final ContactError GROUP_LIMIT_EXCEEDED

      Group count exceeded limit.

    - #### GROUP_ALREADY_EXISTS

          public static final ContactError GROUP_ALREADY_EXISTS

      Group with specified name already exists.

    - #### GROUP_CONTACTS_LIMIT_EXCEEDED

          public static final ContactError GROUP_CONTACTS_LIMIT_EXCEEDED

      Group has maximum contacts.

    - #### GROUP_CREATE_NOT_SUPPORTED

          public static final ContactError GROUP_CREATE_NOT_SUPPORTED

      Provider does not support operation.

    - #### GROUP_DELETE_NOT_SUPPORTED

          public static final ContactError GROUP_DELETE_NOT_SUPPORTED

      Provider does not support operation.

    - #### GROUP_RENAME_NOT_SUPPORTED

          public static final ContactError GROUP_RENAME_NOT_SUPPORTED

      Provider does not support operation.

    - #### GROUP_NAME_INVALID

          public static final ContactError GROUP_NAME_INVALID

      Missing or Invalid Provider contact group name.

    - #### GROUP_NOT_FOUND

          public static final ContactError GROUP_NOT_FOUND

      Contact group not found

    - #### GROUP_ADD_CONTACTS_NOT_SUPPORTED

          public static final ContactError GROUP_ADD_CONTACTS_NOT_SUPPORTED

      Add contacts to a group isn't supported.

    - #### GROUP_REMOVE_CONTACTS_NOT_SUPPORTED

          public static final ContactError GROUP_REMOVE_CONTACTS_NOT_SUPPORTED

      Remove contacts from a group isn't supported.

    - #### GROUP_NAME_EXCEEDS_MAX_LENGTH

          public static final ContactError GROUP_NAME_EXCEEDS_MAX_LENGTH

      Contact group name is too long.

    - #### INVALID_CHARACTERS_IN_GROUP_NAME

          public static final ContactError INVALID_CHARACTERS_IN_GROUP_NAME

      Contact group name contains invalid characters.

    - #### PROVIDER_MULTIPLE_WORK_EMAIL_NOT_SUPPORTED

          public static final ContactError PROVIDER_MULTIPLE_WORK_EMAIL_NOT_SUPPORTED

      The server rejected the request due to multiple work e-mails. Request should have only one work email.

  - ### Method Detail

    - #### values

          public static ContactError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactError c : ContactError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null